Subject: Re: git pull a subtree, embedded trees

From: Timothy Shimmin <[email-masked]>
Date: Mon, 18 Sep 2006 15:57:12 +1000

Hi Shawn,

Shawn Pearce wrote:
> Tim Shimmin <[email-masked]> wrote:
>> I've written a simple small program to dump out the index
>> entries (cache entries).
> 
> `git-ls-files --stage` also dumps a number of those details, though
> it doesn't dump every available field.
> 
Thanks, that's handy.
However, when going through the core-tutorial (copying repository section)
and populating the index from the .git objects using git-read-tree,
it was nice to see all the stat fields using my program.
These fields were empty at that stage, of course, (it was nice to see it)
until I had populated the workarea using git-checkout-index.
But generally, git-ls-files --stage would be fine.

>> I just want to see what is exactly stored in the .git
>> binary files and how they change when I do various git
>> operations.
> 
> You may want to review some of the material in
> Documentation/core-tutorial.txt and Documentation/technical.
> These documents try to describe some of the formats but reviewing
> them now it looks like there's still some additional information
> that could be written down.
> 
Thanks. I've been going through the core-tutorial.
It's great.

Cheers,
Tim.